-- direction berlin

function Variables() 
	SetIGlobalVar("Mission0", 0);
	SetIGlobalVar("Mission1", 0);
	SetIGlobalVar("Mission2", 0);
	SetIGlobalVar("Mission3", 0);
	SetIGlobalVar("Mission4", 0);
	Suicide();
end;

function Init()   
	RunScript("RevealObjective0", 3000);  
	RunScript("DebugView", 3000); 
	RunScript("Officer", 1000);  -- checks if officer is alive all the time
	RunScript("Arewethere", 2000);
	RunScript("ToWin",2000); -- win condition
	RunScript("TobeDefeated",2000); -- loose condition
end;
	
function DebugView()
	-- Password("Panzerklein");
	-- God(0,1);
	ShowActiveScripts();
	Suicide();
end;

function Arewethere()
	ObjectiveChanged(4, 0);
	SetIGlobalVar("Mission4", 0);
	-- DisplayTrace("Your Uscha must reach the southern banks of the river alive"); 
	RunScript("Objective4Complete",1000);  
	Suicide(); 
end;
	
function Objective4Complete()
	if GetNScriptUnitsInArea(50, "southofriver") == 1 then
		ObjectiveChanged(4, 1);
		SetIGlobalVar("Mission4", 1);
		Suicide();
	end;
end;

	
function RevealObjective0() -- crossing
	ObjectiveChanged(0, 0); 
	SetIGlobalVar("Mission0", 0);
	-- DisplayTrace("Capture the crossing"); 
	RunScript("Objective0Complete",3000);  
	Suicide(); 
end;
 
function Objective0Complete()
	if GetNUnitsInArea(1, "crossing") == 0 then
		LandReinforcement(100);	-- crossing clear
		ObjectiveChanged(0, 1);
		SetIGlobalVar("Mission0", 1);
		RunScript("RevealObjective1",3000);
		Suicide();
	end;
end;

function RevealObjective1() -- northern bridge
	ObjectiveChanged(1, 0);
	SetIGlobalVar("Mission1", 0);
	-- DisplayTrace("Capture the railway bridge"); 
	RunScript("Objective1Complete",1000);  
	Suicide(); 
end;

function Objective1Complete()
	if GetNUnitsInArea(1, "northernbridge") == 0 then  -- northernbridge cleared
		ObjectiveChanged(1, 1);
		SetIGlobalVar("Mission1", 1);
		RunScript("RevealObjective2",3000);
		Suicide();
	end;
end;

function RevealObjective2() -- southernbridge
	ObjectiveChanged(2, 0);
	LandReinforcement(200);
	-- DisplayTrace("Capture the roadbridge"); 
	RunScript("Objective2Complete",3000);
	Suicide();
end;

function Objective2Complete()
	if GetNUnitsInArea(1, "southernbridge") < 2 then
	ObjectiveChanged(2, 1);	
	SetIGlobalVar("Mission2", 1);
	RunScript("RevealObjective3", 2000);
	KillScript("RevealObjective2");
	Suicide();
	end;
end;

function RevealObjective3() -- counterattack
	ObjectiveChanged(3, 0);
	LandReinforcement(1100);
	-- DisplayTrace("Defend the bridges"); 
	RunScript("Objective3Complete",3000);
	Suicide();
end;

function Objective3Complete()
	if GetNUnitsInScriptGroup(1100) < 2 then
	ObjectiveChanged(3, 1);	
	SetIGlobalVar("Mission3", 1);
	Suicide();
	end;
end;

function Officer()  -- checks officer status -- works
	if GetNUnitsInScriptGroup(50) == 0 then
	DisplayTrace("The Uscha is down. Retreat!!!", 2300);
	RunScript("TobeDefeated",5000);
	Suicide();
	end;
end;

function ToWin() -- win function
	if GetIGlobalVar("Mission0",0) == 1 and GetIGlobalVar("Mission1",0) == 1 and GetIGlobalVar("Mission2",0) == 1 and GetIGlobalVar("Mission3",0) == 1 and GetIGlobalVar("Mission4", 0) == 1 then 
		Win(0);
		Suicide();
	end;
end;

function TobeDefeated() 
	if GetNUnitsInSide(0) < 2 or GetNUnitsInScriptGroup(50) == 0 then -- if all my troops or officer killed
		Loose();
		Suicide();
	end;
end;